import {
  AfterContentInit, Component, EventEmitter, Input,
  OnInit, Output
} from '@angular/core';

@Component({
  selector: 'of-discovery-search-config',
  templateUrl: './search-config.component.html',
})
export class SearchConfigComponent implements OnInit, AfterContentInit {

  @Output() discoverySearchStartClick = new EventEmitter();
  @Input() isiii;

  private ipVesion: string;
  private startIP: string;
  private endIP: string;
  private excludeIP: string;
  private startPort: string;
  private endPort: string;
  private excludePort: string;

  constructor(
  ) {
  }

  ngOnInit() {
    this.ipVesion = '0';
  }

  ngAfterContentInit() {
  }

  discoveryStartClick() {
    this.discoverySearchStartClick.emit();
  }

  onProbeSelect(event) {

  }
}
